Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciScope

All Known Subinterfaces:
  SciClass, SciCodeBlock, SciFile

public interface SciScope
extends SciContainer, SciObject

A generic type of source code container.

Its three derivatives `SciFile`, `SciClass` and `SciCodeBlock` contain all source code in the model.

`SciScope` provides functionality inherited from both `SciObject` and `SciContainer` interfaces, but comparatively to the `SciPackage` interface (which also extends these interfaces), this interface represents a much smaller kind of a container: `SciPackage` contains many `SciScope` derivatives - files and classes.

`SciScope` defines common for its derivatives methods for working with a source code content.

Author:
  TogetherSoft
See Also: SciFile, SciClass, SciCodeBlock, SciPackage

Method Summary
`SciElementEnumeration` | `declaredElements()` Returns an enumeration of declared elements in this source code container.
`void` | `visitExpressions(SciExpressionVisitor visitor)`
`void` | `visitExpressions(SciExpressionVisitor visitor, int expressionKind)`
`void` | `visitReferences(SciReferenceVisitor visitor)`
`void` | `visitReferences(SciReferenceVisitor visitor, SciElement referencedElement)`
`void` | `visitStatements(SciStatementVisitor visitor)`
`void` | `visitStatements(SciStatementVisitor visitor, int statementKind)`

Methods inherited from interface com.togethersoft.openapi.sci.SciContainer
`canPaste, objects, paste`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### declaredElements

    public SciElementEnumeration declaredElements()

  Returns an enumeration of declared elements in this source code container.
  Returns: an enumeration of declared elements in this source code container

### visitExpressions

    public void visitExpressions(SciExpressionVisitor visitor)

### visitExpressions

    public void visitExpressions(SciExpressionVisitor visitor, int expressionKind)

### visitReferences

    public void visitReferences(SciReferenceVisitor visitor)

### visitReferences

    public void visitReferences(SciReferenceVisitor visitor, SciElement referencedElement)

### visitStatements

    public void visitStatements(SciStatementVisitor visitor)

### visitStatements

    public void visitStatements(SciStatementVisitor visitor, int statementKind)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD